Name:           vhdl-ls
Version:        0.83.0
Release:        1%{?dist}
Summary:        Fast VHDL language server
License:        MPL-2.0
URL:            https://github.com/VHDL-LS/rust_hdl
Source0:        https://github.com/VHDL-LS/rust_hdl/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust

%description
Fast VHDL language server and language frontend

%prep
%autosetup -n rust_hdl-%{version}

%build
# Add build-id generation flags
export RUSTFLAGS="-Clink-arg=-Wl,--build-id %{build_rustflags}"
cargo build --release

%install
# Install vhdl_ls and vhdl_lang
install -Dm755 target/release/vhdl_ls %{buildroot}%{_bindir}/vhdl_ls
install -Dm755 target/release/vhdl_lang %{buildroot}%{_bindir}/vhdl_lang

# Install VHDL libraries
mkdir -p %{buildroot}%{_prefix}/lib/rust_hdl
cp -r vhdl_libraries %{buildroot}%{_prefix}/lib/rust_hdl/

%files
%{_bindir}/vhdl_ls
%{_bindir}/vhdl_lang
%{_prefix}/lib/rust_hdl/vhdl_libraries
